コンテンツへスキップ

Wan v2.6 Text to Image

統合

モデルID wan/v2.6/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan/v2.6/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.03 30 APIクレジット このページで実行

APIキーを取得
Alibaba · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

作成する画像の説明。中国語または英語で、2000文字以内。

image_size

出力画像のサイズ。明示的に指定するか、'square_hd'や'landscape_16_9'などのプリセットで指定します。省略時は入力画像に合わせ、最大1280 × 1280となります。

デフォルト 1

画像生成枚数の上限。1~5で、生成枚数を保証するものではありません。モデルの推論により少ない枚数になる場合があります。

詳細設定 negative_prompt · image · seed · enable_safety_checker
デフォルト

結果の画像から除外する内容。500 文字以内。

image_url
ファイルをドロップ、または

スタイルガイダンス用の任意の画像。参照は0または1枚です。各辺は384~5000px、ファイルサイズは10 MB以下です。対応形式: JPEG、JPG、アルファなしPNG、BMP、WEBP。

再現可能な結果を得るためのランダムシード。0~2147483647。

POST /run/wan/v2.6/text-to-image?wait=20 見積もり → $0.03
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan/v2.6/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Wan v2.6 Text to Imageについて

中国語または英語で最大2000文字のプロンプトから画像を生成します。任意の`image_url`でスタイルを指定でき、`image_size`を未設定にすると出力はその画像のサイズに従い、最大1280x1280です。`max_images`で1~5枚を指定できますが、少ない枚数が返る場合があります。最大500文字の`negative_prompt`とseedに対応します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
作成する画像の説明。中国語または英語で、2000文字以内。
image_url任意 image
型url · image
スタイルガイダンス用の任意の画像。参照は0または1枚です。各辺は384~5000px、ファイルサイズは10 MB以下です。対応形式: JPEG、JPG、アルファなしPNG、BMP、WEBP。
negative_prompt任意
型string | null
デフォルト
結果の画像から除外する内容。500 文字以内。
image_size任意
型object
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
出力画像のサイズ。明示的に指定するか、'square_hd'や'landscape_16_9'などのプリセットで指定します。省略時は入力画像に合わせ、最大1280 × 1280となります。
max_images任意
型integer
デフォルト1
1 – 5
画像生成枚数の上限。1~5で、生成枚数を保証するものではありません。モデルの推論により少ない枚数になる場合があります。
seed任意
型integer | null
再現可能な結果を得るためのランダムシード。0~2147483647。
enable_safety_checker任意
型boolean
デフォルトtrue
入力と出力のモデレーション。アカウントに無効化権限があり、オプションをオフにしない限り、すべてのリクエストで適用されます。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan/v2.6/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 30,
    "usd": "0.03",
    "charged": 30,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ],
    "generated_text": "string",
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, content_type, file_name, file_size}PNG形式の出力画像。
generated_text
string | nullテキストと画像の混合生成で出力されるテキスト。結果が画像のみの場合はNoneになることがあります。
seed
integer生成時に使用するシード値。

その他のモデル: テキストから画像

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/wan/v2.6/text-to-image.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt